<?
include '../config.php';
include '../func.php';

head();
aut();
ban();
////////////////////////////////////////
switch ( $_GET['mod'] ) {
    
    default:
    echo head . "<b>Моя анкета</b>" . div . katalog;
    echo '<img src="../style/vesna/2.png" alt="" /> <a href="index.php?mod=osnova">Основная</a><br/ >';
    echo '<img src="../style/vesna/2.png" alt="" /> <a href="index.php?mod=contact">Мои контакты</a><br/ >'; 
    echo '<img src="../style/vesna/2.png" alt="" /> <a href="index.php?mod=life">Место жительства</a><br/ >'; 
    echo '<img src="../style/vesna/2.png" alt="" /> <a href="index.php?mod=info">Обо мне</a><br/ >';
    echo '<img src="../style/vesna/2.png" alt="" /> <a href="index.php?mod=hobby">Мои интересы</a><br/ >';
    echo '<img src="../style/vesna/2.png" alt="" /> <a href="index.php?mod=live">Личная жизнь</a><br/ >';  
    echo '<img src="../style/vesna/2.png" alt="" /> <a href="index.php?mod=ubejd">Убеждения</a><br/ >';
    break;
    
    case 'life':
    echo head . "<b>Место проживания:</b>" . div . katalog;
    
    if (isset($_POST['submit'])) {
        $country = num($_POST['country']);
        $city = html($_POST['city']);
        
        if (empty($country)) $err = 'Не выбрана страна<br/>';

        if(empty($city))$err = 'Не введен город<br/>';
        
        if (empty($err)) {
            if (mysql_query("UPDATE `profile` SET `country` = '".$country."', `city` = '".$city."' WHERE `id` = '".$id_session."'"))
            echo '<b>Успешно сохранено</b><br/>';
            else
            echo '<b>Возникла ошибка</b><br/>';
        } else {
            echo '<b>Ошибка:</b>' . $err;
        }
    }
    
    echo '<form action="index.php?mod=life" method="post" name="form">';
    echo '<b>Страна:</b><br/>';
    echo '<input type="radio" name="country" value="1"/> Украина<br/>';
    echo '<input type="radio" name="country" value="2"/> Россия<br/>';
    echo '<input type="radio" name="country" value="3"/> Белоруссия<br/>';
    echo '<input type="radio" name="country" value="4"/> Узбекистан<br/>';
    echo '<input type="radio" name="country" value="5"/> Казахстан<br/>';
    echo '<input type="radio" name="country" value="6"/> Туркменстан<br/>';
    echo '<input type="radio" name="country" value="7"/> Киргизия<br/>';
    echo '<input type="radio" name="country" value="8"/> Азербайджан<br/>';
    echo '<input type="radio" name="country" value="9"/> Армения<br/>';
    echo '<input type="radio" name="country" value="10"/> Молдавия<br/>';
    echo '<input type="radio" name="country" value="11"/> Таджикистан<br/>';
    echo '<input type="radio" name="country" value="12"/> Латвия<br/>';
    echo '<input type="radio" name="country" value="13"/> Литва<br/>';
    echo '<input type="radio" name="country" value="14"/> Эстония<br/>';
    echo '<input type="radio" name="country" value="15"/> Грузия<br/>';
    echo '<br/><b>Город:</b><br/><input name="city" type="text" value="'.$city_session1.'"maxlength="25""/><br/ ><input name="submit" type="submit" class="button" value="Сохранить" /></form><br/>';
    break;
    
    
    case 'ubejd':
    echo head . "<b>Убеждения:</b>" . div . katalog;
    echo '<img src="../style/vesna/2.png" alt="" /> <b><a href="index.php?mod=ubejd_edit">Редактировать</a></b><br/ ><br/ >';
    if (empty($polit_session)) echo '<img src="../style/vesna/2.png" alt="" /> Политические взгляды: Не заполнено<br/>'; else echo '<img src="../style/vesna/2.png" alt="" /> Политические взгляды: '.ubejd(1,$polit_session).'<br/>';
    if (empty($relig_session)) echo '<img src="../style/vesna/2.png" alt="" /> Религиозные взгляды: Не заполнено<br/>'; else echo '<img src="../style/vesna/2.png" alt="" /> Религиозные взгляды: '.ubejd(2,$relig_session).'<br/>';
    if (empty($glavlive_session)) echo '<img src="../style/vesna/2.png" alt="" /> Главное в жизни: Не заполнено<br/>'; else echo '<img src="../style/vesna/2.png" alt="" /> Главное в жизни: '.ubejd(3,$glavlive_session).'<br/>';
    if (empty($glavludi_session)) echo '<img src="../style/vesna/2.png" alt="" /> Главное в людях: Не заполнено<br/>'; else echo '<img src="../style/vesna/2.png" alt="" /> Главное в людях: '.ubejd(4,$glavludi_session).'<br/>';
    if (empty($vdox_session)) echo '<img src="../style/vesna/2.png" alt="" /> Источники вдохновения: Не заполнено<br/>'; else echo '<img src="../style/vesna/2.png" alt="" /> Источники вдохновения: '.$vdox_session.'<br/>';
    break;
    
    case 'ubejd_edit':
    echo head . "<b>Убеждения:</b>" . div . link2;
    if (isset($_POST['submit'])) {
        $polit = num($_POST['polit']);
        $relig = num($_POST['relig']);
        $glavlive = num($_POST['glavlive']);
        $glavludi = num($_POST['glavludi']);
        $vdox = html($_POST['vdox']);
        
        if (mysql_query("UPDATE `profile` SET `vdox` = '".$vdox."', `polit` = '".$polit."', `relig` = '".$relig."', `glavlive` = '".$glavlive."', `glavludi` = '".$glavludi."' WHERE `id` = '".$id_session."'"))
        echo '<b>Успешно сохранено</b><br/>';
        else
        echo '<b>Возникла ошибка</b><br/>';
    }
    echo '<form action="index.php?mod=ubejd_edit" method="post" name="form">';
    echo 'Политические взгляды:<br/><select name="polit">
    <option value="'.$polit_session.'">Не изменять</option>
    <option value="0">Не заполнять</option>
    <option value="1">Умеренные</option>
    <option value="2">Индиффицерентные</option>
    <option value="3">Комунистические</option>
    <option value="4">Социалистические</option>
    <option value="5">Либеральные</option>
    <option value="6">Консервативные</option>
    <option value="7">Монархические</option>
    <option value="8">Консервативные</option>
    <option value="9">Ультраконсервативные</option>
    <option value="10">Либертарианские</option>
    </select><br/ >';
    
    echo 'Религиозные взгляды:<br/><select name="relig">
    <option value="'.$relig_session.'">Не изменять</option>
    <option value="0">Не заполнять</option>
    <option value="1">Иудаизм</option>
    <option value="2">Православие</option>
    <option value="3">Католицизм</option>
    <option value="4">Протестанизм</option>
    <option value="5">Ислам</option>
    <option value="6">Будизм</option>
    <option value="7">Конфуцианство</option>
    <option value="8">Светский гуманизм</option>
    </select><br/ >';
    
    echo 'Главное в жизни:<br/><select name="glavlive">
    <option value="'.$glavlive_session.'">Не изменять</option>
    <option value="0">Не заполнять</option>
    <option value="1">Семья и дети</option>
    <option value="2">Карьера и деньги</option>
    <option value="3">Развлечения и отдых</option>
    <option value="4">Наука и исследования</option>
    <option value="5">Совершенствование мира</option>
    <option value="6">Саморазвитие</option>
    <option value="7">Красота и искуство</option>
    <option value="8">Слава и влияние</option>
    </select><br/ >';
    
    echo 'Главное в людях:<br/><select name="glavludi">
    <option value="'.$glavludi_session.'">Не изменять</option>
    <option value="0">Не заполнять</option>
    <option value="1">Ум и креативность</option>
    <option value="2">Доброта и честность</option>
    <option value="3">Красота и здоровье</option>
    <option value="4">Власть и богатство</option>
    <option value="5">Смелость и упорство</option>
    <option value="6">Юмор и жизнелюбие</option>
    </select><br/ >';
    echo 'Источники вдохновения:<br/><input name="vdox" type="text" maxlength="15"  value="'.$vdox_session.'"/><br/ >';
    
    echo '<input name="submit" type="submit" class="button" value="Сохранить" /></form>';
    break;
    
    case 'osnova':
    echo head . "<b>Основная</b>" . div ;
    /////////////////////////
    if ( !empty($_GET['act']) AND ($_GET['act'] == 'name') ) {
        echo link2;
        if ( empty($_POST['submit']) ) {
            echo '<form action="index.php?mod=osnova&act=name" method="post" name="form">';
            echo 'Имя: <small>[max. 15]</small><br/>
            <input name="name" type="text" maxlength="15"  value="'.$name_session.'"/><br/ >';
            echo '<input name="submit" type="submit"  class="button" value="Сохранить" /></form>';
        } else {
            $result = mysql_query("UPDATE `profile` SET `name` = '".html($_POST['name'])."' WHERE `id` = '".$id_session."'");
            if ( $result != NULL )
            header('Location: index.php?mod=osnova');
            else
            echo 'Возникла ошибка';
        }
        echo div;
    }
    
    if ( !empty($_GET['act']) AND ($_GET['act'] == 'sex') ) {
        echo link2;
        if ( empty($_POST['submit']) ) {
            echo '<form action="index.php?mod=osnova&act=sex" method="post" name="form">';
            echo 'Пол:<br/><select name="sex">
            <option value="'.$sex_session.'">Не изменять</option>
            <option value="1">Парень</option>
            <option value="0">Девушка</option>
            </select><br/ >';
        echo '<input name="submit" type="submit"  class="button" value="Сохранить" /></form>';
        } else {
            $result = mysql_query("UPDATE `profile` SET `sex` = '".num($_POST['sex'])."' WHERE `id` = '".$id_session."'");
            if ( $result != NULL )
            header('Location: index.php?mod=osnova');
            else
            echo 'Возникла ошибка';            
        }
        echo div;
    }
    
    if ( !empty($_GET['act']) AND ($_GET['act'] == 'dr') ) {
        echo link2;
        echo 'Днюха:<br/ >';
        if ( empty($_POST['submit']) ) {
        echo '
        <form action="index.php?mod=osnova&act=dr" method="post" name="form">
        День:<br/>
        <select name="d">
        <option value="01">01</option>
        <option value="02">02</option>
        <option value="03">03</option>
        <option value="04">04</option>
        <option value="05">05</option>
        <option value="06">06</option>
        <option value="07">07</option>
        <option value="08">08</option>
        <option value="09">09</option>
        <option value="10">10</option>
        <option value="11">11</option>
        <option value="12">12</option>
        <option value="13">13</option>
        <option value="14">14</option>
        <option value="15">15</option>
        <option value="16">16</option>
        <option value="17">17</option>
        <option value="18">18</option>
        <option value="19">19</option>
        <option value="20">20</option>
        <option value="21">21</option>
        <option value="22">22</option>
        <option value="23">23</option>
        <option value="24">24</option>
        <option value="25">25</option>
        <option value="26">26</option>
        <option value="27">27</option>
        <option value="28">28</option>
        <option value="29">29</option>
        <option value="30">30</option>
        <option value="31">31</option>
        </select><br/>
        
        Месяц:<br/>
        <select name="m">
        <option value="01">Января</option>
        <option value="02">Февраля</option>
        <option value="03">Марта</option>
        <option value="04">Апреля</option>
        <option value="05">Мая</option>
        <option value="06">Июня</option>
        <option value="07">Июля</option>
        <option value="08">Августа</option>
        <option value="09">Сентября</option>
        <option value="10">Октября</option>
        <option value="11">Ноября</option>
        <option value="12">Декабря</option>
        </select><br/>
        
        Год:<br/>
        <input name="g" size="4" type="text" value="'.$year_session.'"/><br/>
        <input name="submit" type="submit"  class="button" value="Сохранить" /></form>
        ';
        } else {
            $d = num($_POST['d']);
            $m = num($_POST['m']);
            $g = num($_POST['g']);
            $result = mysql_query("UPDATE `profile` SET `d` = '".$d."', `m` = '".$m."', `g` = '".$g."'  WHERE `id` = '".$id_session."'");
            if ( $result != NULL )
            header('Location: index.php?mod=osnova');
            else
            echo 'Возникла ошибка';            
        }
        echo div;
        }
        
   
    
    if ( empty($name_session) )
    echo '<img src="../style/vesna/2.png" alt="" /> Имя: <a href="index.php?mod=osnova&act=name">Заполнить</a><br/ >';
    else
    echo '<div class="link2"><img src="../style/vesna/2.png" alt="" /> Имя: <a href="index.php?mod=osnova&act=name"><b>'.$name_session.'</b></a><br/ >';
    /////////////////////////
    if ( $sex_session == 0 )
    echo '<img src="../style/vesna/2.png" alt="" /> Пол: <a href="index.php?mod=osnova&act=sex"><b>Девушка</b></a><br/ >';
     else
    echo '<img src="../style/vesna/2.png" alt="" /> Пол: <a href="index.php?mod=osnova&act=sex"><b>Парень</b></a><br/>';    
    ////////////////////////

    if($user['city']){
        
        echo '<img src="../style/vesna/2.png" alt="" /> Город: <a href="../myinfo/index.php?mod=life"><b>'.$user['city'].'</b></a><br/ >';
    } else {
        echo '<img src="../style/vesna/2.png" alt="" /> Город: <a href="../myinfo/index.php?mod=life">Заполнить</a><br/>';
    }
    /////////////////////////
    if(($user['d'] != 0) and ($user['m'] != 0) and ($user['g'] != 0))
        echo '<img src="../style/vesna/2.png" alt="" /> Днюха: <a href="index.php?mod=osnova&act=dr"><b>'.$user['d'].'.'.$user['m'].'.'.$user['g'].'</b></a><br/ >';
        else
        echo '<img src="../style/vesna/2.png" alt="" /> Днюха: <a href="index.php?mod=osnova&act=dr"><b>Изменить</b></a></div>';
    ////////////////////////
    echo div;
    break;
    
    case 'contact':
    echo head . "<b>Контакты</b>" . div ;
    
    if ( !empty($_GET['act']) AND ($_GET['act'] == 'icq') ) {
        echo link2;
        if ( empty($_POST['submit']) ) {
            echo '<form action="index.php?mod=contact&act=icq" method="post" name="form">';
            echo 'ICQ: <small>[max. 9]</small><br/>
            <input name="icq" type="text" maxlength="9"  value="'.$icq_session.'"/><br/ >';
            echo '<input name="submit" type="submit"  class="button" value="Сохранить" /></form>';
        } else {
            if ( strlen($_POST['icq']) > 9) 
            echo 'Слишком длинный UIN';
            else
            $result = mysql_query("UPDATE `profile` SET `uin` = '".num($_POST['icq'])."' WHERE `id` = '".$id_session."'");
            
            if ( $result != NULL )
            header('Location: index.php?mod=contact');
            else
            echo 'Возникла ошибка';
        }
        echo div;
    }
    
    if ( !empty($_GET['act']) AND ($_GET['act'] == 'email') ) {    
        echo link2;
        if ( empty($_POST['submit']) ) {
            echo '<form action="index.php?mod=contact&act=email" method="post" name="form">';
            echo 'E-Mail: <small>[max. 30]</small><br/>
            <input name="mail" type="text" maxlength="30"  value="'.$mail_session.'"/><br/ >';
            echo '<input name="submit" type="submit"  class="button" value="Сохранить" /></form>';
        } else {
            if ( strlen($_POST['mail']) > 30) 
            echo 'Слишком длинный E-Mail';
            else
            $result = mysql_query("UPDATE `profile` SET `mail` = '".html($_POST['mail'])."' WHERE `id` = '".$id_session."'");
            if ( $result != NULL )
            header('Location: index.php?mod=contact');
            else
            echo 'Возникла ошибка';
        }
        echo div;
    }
    
    if ( !empty($_GET['act']) AND ($_GET['act'] == 'vk') ) {    
        echo link2;
        if ( empty($_POST['submit']) ) {
            echo '<form action="index.php?mod=contact&act=vk" method="post" name="form">';
            echo 'Вконтакте (ID): <small>[max. 12]</small><br/>
            <input name="vk" type="text" maxlength="12"  value="'.$vk_session.'"/><br/ >';
            echo '<input name="submit" type="submit"  class="button" value="Сохранить" /></form>';
        } else {
            if ( strlen($_POST['vk']) > 12) 
            echo 'Слишком длинный ID';
            else
            $result = mysql_query("UPDATE `profile` SET `vk` = '".num($_POST['vk'])."' WHERE `id` = '".$id_session."'");
            if ( $result != NULL )
            header('Location: index.php?mod=contact');
            else
            echo 'Возникла ошибка';
        }
        echo div;
    }
    
    if ( !empty($_GET['act']) AND ($_GET['act'] == 'mobilen') ) {    
        echo link2;
        if ( empty($_POST['submit']) ) {
            echo '<form action="index.php?mod=contact&act=mobilen" method="post" name="form">';
            echo 'Моб. номер: <small>[+38050*******]</small><br/>
            <input name="mobilen" type="text" maxlength="15"  value="'.$mobilen_session.'"/><br/ >';
            echo '<input name="submit" type="submit"  class="button" value="Сохранить" /></form>';
        } else {
            if ( strlen($_POST['mobilen']) > 15) 
            echo 'Слишком длинный номер';
            else
            $result = mysql_query("UPDATE `profile` SET `mobilen` = '".html($_POST['mobilen'])."' WHERE `id` = '".$id_session."'");
            if ( $result != NULL )
            header('Location: index.php?mod=contact');
            else
            echo 'Возникла ошибка';
        }
        echo div;
    }
    
    if ( !empty($_GET['act']) AND ($_GET['act'] == 'skype') ) {    
        echo link2;
        if ( empty($_POST['submit']) ) {
            echo '<form action="index.php?mod=contact&act=skype" method="post" name="form">';
            echo 'Skype: <small>[max.30]</small><br/>
            <input name="skype" type="text" maxlength="15"  value="'.$skype_session.'"/><br/ >';
            echo '<input name="submit" type="submit"  class="button" value="Сохранить" /></form>';
        } else {
            if ( strlen($_POST['skype']) > 30) 
            echo 'Слишком длинный логин';
            else
            $result = mysql_query("UPDATE `profile` SET `skype` = '".html($_POST['skype'])."' WHERE `id` = '".$id_session."'");
            if ( $result != NULL )
            header('Location: index.php?mod=contact');
            else
            echo 'Возникла ошибка';
        }
        echo div;
    }
    
    if ( !empty($_GET['act']) AND ($_GET['act'] == 'twitter') ) {    
        echo link2;
        if ( empty($_POST['submit']) ) {
            echo '<form action="index.php?mod=contact&act=twitter" method="post" name="form">';
            echo 'Twitter: <small>[max.50]</small><br/>
            <input name="twitter" type="text" maxlength="15"  value="'.$twitter_session.'"/><br/ >';
            echo '<input name="submit" type="submit"  class="button" value="Сохранить" /></form>';
        } else {
            if ( strlen($_POST['twitter']) > 50) 
            echo 'Слишком длинный логин';
            else
            $result = mysql_query("UPDATE `profile` SET `twitter` = '".html($_POST['twitter'])."' WHERE `id` = '".$id_session."'");
            if ( $result != NULL )
            header('Location: index.php?mod=contact');
            else
            echo 'Возникла ошибка';
        }
        echo div;
    }
    
    if ( !empty($_GET['act']) AND ($_GET['act'] == 'facebook') ) {    
        echo link2;
        if ( empty($_POST['submit']) ) {
            echo '<form action="index.php?mod=contact&act=facebook" method="post" name="form">';
            echo 'Facebook: <small>[max.50]</small><br/>
            <input name="facebook" type="text" maxlength="15"  value="'.$facebook_session.'"/><br/ >';
            echo '<input name="submit" type="submit"  class="button" value="Сохранить" /></form>';
        } else {
            if ( strlen($_POST['facebook']) > 50) 
            echo 'Слишком длинный логин';
            else
            $result = mysql_query("UPDATE `profile` SET `facebook` = '".html($_POST['facebook'])."' WHERE `id` = '".$id_session."'");
            if ( $result != NULL )
            header('Location: index.php?mod=contact');
            else
            echo 'Возникла ошибка';
        }
        echo div;
    }
    
    if ( !empty($_GET['act']) AND ($_GET['act'] == 'livejournal') ) {    
        echo link2;
        if ( empty($_POST['submit']) ) {
            echo '<form action="index.php?mod=contact&act=livejournal" method="post" name="form">';
            echo 'LiveJournal: <small>[max.50]</small><br/>
            <input name="livejournal" type="text" maxlength="15"  value="'.$livejournal_session.'"/><br/ >';
            echo '<input name="submit" type="submit"  class="button" value="Сохранить" /></form>';
        } else {
            if ( strlen($_POST['livejournal']) > 50) 
            echo 'Слишком длинный логин';
            else
            $result = mysql_query("UPDATE `profile` SET `livejournal` = '".html($_POST['livejournal'])."' WHERE `id` = '".$id_session."'");
            if ( $result != NULL )
            header('Location: index.php?mod=contact');
            else
            echo 'Возникла ошибка';
        }
        echo div;
    }
    
    
    if ( empty($uin_session) )
    echo '<img src="../style/vesna/2.png" alt="" /> ICQ: <a href="index.php?mod=contact&act=icq">Заполнить</a><br/ >';
    else
    echo '<div class="link2"><img src="../style/vesna/2.png" alt="" /> ICQ: <a href="index.php?mod=contact&act=icq"><b>'.$uin_session.'</b></a><br/ >';

    if ( empty($mail_session) )
    echo '<img src="../style/vesna/2.png" alt="" /> E-Mail: <a href="index.php?mod=contact&act=email">Заполнить</a><br/ >';
    else
    echo '<img src="../style/vesna/2.png" alt="" /> E-Mail: <a href="index.php?mod=contact&act=email"><b>'.$mail_session.'</b></a><br/ >'; 
    
    if ( empty($vk_session) )
    echo '<img src="../style/vesna/2.png" alt="" /> Вконтакте (ID): <a href="index.php?mod=contact&act=vk">Заполнить</a><br/ >';
    else
    echo '<img src="../style/vesna/2.png" alt="" /> Вконтакте (ID): <a href="index.php?mod=contact&act=vk"><b>'.$vk_session.'</b></a><br/ >';  
    
    if ( empty($mobilen_session) )
    echo '<img src="../style/vesna/2.png" alt="" /> Моб. телефон: <a href="index.php?mod=contact&act=mobilen">Заполнить</a><br/ >';
    else
    echo '<img src="../style/vesna/2.png" alt="" /> Моб. телефон: <a href="index.php?mod=contact&act=mobilen"><b>'.$mobilen_session.'</b></a><br/ >'; 
    
    if ( empty($skype_session) )
    echo '<img src="../style/vesna/2.png" alt="" /> Skype: <a href="index.php?mod=contact&act=skype">Заполнить</a><br/ >';
    else
    echo '<img src="../style/vesna/2.png" alt="" /> Skype: <a href="index.php?mod=contact&act=skype"><b>'.$skype_session.'</b></a><br/ >'; 
    
    if ( empty($twitter_session) )
    echo '<img src="../style/vesna/2.png" alt="" /> Twitter: <a href="index.php?mod=contact&act=twitter">Заполнить</a><br/ >';
    else
    echo '<img src="../style/vesna/2.png" alt="" /> Twitter: <a href="index.php?mod=contact&act=twitter"><b>'.$twitter_session.'</b></a><br/ >';  
    
    if ( empty($facebook_session) )
    echo '<img src="../style/vesna/2.png" alt="" /> Facebook: <a href="index.php?mod=contact&act=facebook">Заполнить</a><br/ >';
    else
    echo '<img src="../style/vesna/2.png" alt="" /> Facebook: <a href="index.php?mod=contact&act=facebook"><b>'.$facebook_session.'</b></a><br/ >'; 
    
    if ( empty($livejournal_session) )
    echo '<img src="../style/vesna/2.png" alt="" /> LiveJournal: <a href="index.php?mod=contact&act=livejournal">Заполнить</a><br/ >';
    else
    echo '<img src="../style/vesna/2.png" alt="" /> LiveJournal: <a href="index.php?mod=contact&act=livejournal"><b>'.$livejournal_session.'</b></a><br/ >';  
    echo div;          
    break;
    
    case 'info':
    $love = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '".$id_session."'"));
    echo head . "<b>Знакомства</b>" . div ;
echo '<form action="index.php?mod=info" method="post" name="form">';

if(empty($_POST['submit'])){


echo katalog . '<b>О себе:</b><br/><textarea id="tarea" name="info" cols="30" rows="5">'.$love['love_info'].'</textarea><br/>';


echo '<b>Охарактеризуйте себя...</b><br/>';
if($sex_session == 0){
echo '<select name="xarakt1">
<option value="'.$love['love_xarakt1'].'">Не изменять</option>
<option value="0">Не указано</option>
<option value="1">Крутая</option>
<option value="2">Простая</option>
<option value="3">Дикая</option>
<option value="4">Веселая</option>
<option value="5">Грустная</option>
<option value="6">Модная</option>
<option value="7">Гламурная</option>
<option value="8">Реальная</option>
<option value="9">Серьезная</option>
<option value="10">Приятная</option>
<option value="11">Умная</option>
<option value="12">Честная</option>
</select><br/>
';
} else {
echo '<select name="xarakt1">
<option value="'.$love['love_xarakt1'].'">Не изменять</option>
<option value="0">Не указано</option>
<option value="13">Крутой</option>
<option value="14">Простой</option>
<option value="15">Дикий</option>
<option value="16">Веселый</option>
<option value="17">Грустный</option>
<option value="18">Модный</option>
<option value="19">Гламурный</option>
<option value="20">Реальный</option>
<option value="21">Серьезный</option>
<option value="22">Приятный</option>
<option value="23">Умный</option>
<option value="24">Честный</option>
</select><br/>
';    
}




echo '<b>Род деятальности...</b><br/>';
if($sex_session == 0){
echo '<select name="xarakt2">
<option value="'.$love['love_xarakt2'].'">Не изменять</option>
<option value="0">Не указано</option>
<option value="1">Студентка</option>
<option value="2">Школьница</option>
<option value="3">Офисный работник</option>
<option value="4">Менеджер</option>
<option value="5">Госслужащая</option>
<option value="6">Бизнесвумен</option>
<option value="7">Научный работник</option>
<option value="8">Домохозяйка</option>
<option value="9">Бездельница</option>
</select><br/>
';
} else {
echo '<select name="xarakt2">
<option value="'.$love['love_xarakt2'].'">Не изменять</option>
<option value="0">Не указано</option>
<option value="10">Студент</option>
<option value="11">Школьник</option>
<option value="12">Офисный работник</option>
<option value="13">Менеджер</option>
<option value="14">Госслужащий</option>
<option value="15">Бизнесмен</option>
<option value="16">Научный работник</option>
<option value="17">Домохозяин</option>
<option value="18">Бездельник</option>
</select><br/>
'; 
}


echo '<b>Общительность:</b><br/>';
if($sex_session == 0){
echo '<select name="sociable">
<option value="'.$love['love_sociable'].'">Не изменять</option>
<option value="0">Не указано</option>
<option value="1">Очень общительная</option>
<option value="2">Пишите - посмотрим</option>
<option value="3">Общаюсь только с избранными</option>
</select><br/>
';
} else {
echo '<select name="sociable">
<option value="'.$love['love_sociable'].'">Не изменять</option>
<option value="0">Не указано</option>
<option value="4">Очень общительный</option>
<option value="5">Пишите - посмотрим</option>
<option value="6">Общаюсь только с избранными</option>
</select><br/>
';
}


echo '<b>Состоите ли Вы в браке?</b><br/><select name="brak">
<option value="'.$love['love_brak'].'">Не изменять</option>
<option value="0">Не указано</option>
<option value="1">Еще нет</option>
<option value="2">Уже нет</option>
<option value="3">Пока да</option>
<option value="4">Да</option>
<option value="5">Да и навсегда</option>
<option value="6">А кому это мешает?</option>
<option value="7">Никогда</option>
</select><br/>
';



echo '<b>Образование:</b><br/>';
if($sex_session == 0){
echo '<select name="obrazov">
<option value="'.$love['love_obrazov'].'">Не изменять</option>
<option value="0">Не указано</option>
<option value="1">Среднее</option>
<option value="2">Еще учусь</option>
<option value="3">Высшее</option>
<option value="4">Несколько высших</option>
<option value="5">Высше среднего</option>
<option value="6">Ниже среднего</option>
<option value="7">Я просто очень умная</option>
</select><br/>
';
} else {
echo '<select name="obrazov">
<option value="'.$love['love_obrazov'].'">Не изменять</option>
<option value="0">Не указано</option>
<option value="8">Среднее</option>
<option value="9">Еще учусь</option>
<option value="10">Высшее</option>
<option value="11">Несколько высших</option>
<option value="12">Высше среднего</option>
<option value="13">Ниже среднего</option>
<option value="14">Я просто очень умный</option>
</select><br/>
';
}


echo '<b>Материальное положение:</b><br/><select name="material">
<option value="'.$love['love_material'].'">Не изменять</option>
<option value="0">Не указано</option>
<option value="1">Очень высокий доход</option>
<option value="2">Могу поделиться</option>
<option value="3">Зарабатываю выше среднего</option>
<option value="4">Стабильные средние заработки</option>
<option value="5">Деньги не главное</option>
<option value="6">Скромно, но достаточно</option>
<option value="7">Помогите материально</option>
</select><br/>
';

echo '<b>Характер:</b><br/><select name="xarakter">
<option value="'.$love['love_xarakter'].'">Не изменять</option>
<option value="0">Не указано</option>
<option value="1">Легкий</option>
<option value="2">Тяжелый</option>
<option value="3">Строгий</option>
<option value="4">Мягкий</option>
<option value="5">Спокойный</option>
<option value="6">Беспокойный</option>
</select><br/>
';

echo '<b>Отношение к курению:</b><br/>';
if($sex_session == 0){
echo '<select name="kurenie">
<option value="'.$love['love_kurenie'].'">Не изменять</option>
<option value="0">Не указано</option>
<option value="1">Не курила</option>
<option value="2">Бросила</option>
<option value="3">Бросаю</option>
<option value="4">Только когда выпью</option>
<option value="5">Дымлю как паровоз</option>
<option value="6">Курю, но не табак</option>
</select><br/>
';
} else {
echo '<select name="kurenie">
<option value="'.$love['love_kurenie'].'">Не изменять</option>
<option value="0">Не указано</option>
<option value="7">Не курил</option>
<option value="8">Бросил</option>
<option value="9">Бросаю</option>
<option value="10">Только когда выпью</option>
<option value="11">Дымлю как паровоз</option>
<option value="12">Курю, но не табак</option>
</select><br/>
';
}

echo '<b>Отношение к алкоголю:</b><br/>';
if($sex_session == 0){
echo '<select name="alco">
<option value="'.$love['love_alco'].'">Не изменять</option>
<option value="0">Не указано</option>
<option value="1">Мне и так весело</option>
<option value="2">Завязала</option>
<option value="3">Иногда можно</option>
<option value="4">Скоро брошу</option>
<option value="5">Пила, пью и буду пить</option>
</select><br/>
';
} else {
echo '<select name="alco">
<option value="'.$love['love_alco'].'">Не изменять</option>
<option value="0">Не указано</option>
<option value="6">Мне и так весело</option>
<option value="7">Завязал</option>
<option value="8">Иногда можно</option>
<option value="9">Скоро брошу</option>
<option value="10">Пил, пью и буду пить</option>
</select><br/>
';
}


echo '<b>Комплекция:</b><br/>';
if($sex_session == 0){
echo '<select name="komplekc">
<option value="'.$love['love_komplekc'].'">Не изменять</option>
<option value="0">Не указано</option>
<option value="1">Спортивная</option>
<option value="2">Стройная</option>
<option value="3">Худощавая</option>
<option value="4">Модель!</option>
<option value="5">С богатыми формами</option>
</select><br/>
';
} else {
echo '<select name="komplekc">
<option value="'.$love['love_komplekc'].'">Не изменять</option>
<option value="0">Не указано</option>
<option value="6">Спортивный</option>
<option value="7">Стройный</option>
<option value="8">Худощавый</option>
<option value="9">Модель!</option>
<option value="10">С богатыми формами</option>
</select><br/>
';
}

echo 'Рост: <input type="text" name="rost" maxlength="3" value="'.$love['love_rost'].'" size="3"/> см<br/>';
echo 'Вес: <input type="text" name="ves" value="'.$love['love_ves'].'" maxlength="3" size="3"/> кг<br/>';

echo '<br/ >';
echo '<b>Цель знакомства:</b><br/ ><select name="cel">
<option value="'.$love['love_cel'].'">Не изменять</option>
<option value="0">Не важно</option>
<option value="1">Дружба</option>
<option value="2">Любовь</option>
<option value="3">Брак</option>
<option value="4">Секс</option>
<option value="5">Другое</option>
</select><br/>
';

echo '<input name="submit" type="submit" class="button" value="Сохранить" /></form>';

} else {
    $info = html($_POST['info']);
    $xarakt1 = num($_POST['xarakt1']);
    $xarakt2 = num($_POST['xarakt2']);
    $sociable = num($_POST['sociable']);
    $brak = num($_POST['brak']);
    $obrazov = num($_POST['obrazov']);
    $material = num($_POST['material']);
    $xarakter = num($_POST['xarakter']);
    $kurenie = num($_POST['kurenie']);
    $alco = num($_POST['alco']);
    $komplekc = num($_POST['komplekc']);
    $rost = num($_POST['rost']);
    $ves = num($_POST['ves']);
    $сel = num($_POST['cel']);
    
    mysql_query("UPDATE `profile` SET 
    
    `love_info` = '".$info."',
    `love_xarakt1` = '".$xarakt1."',
    `love_xarakt2` = '".$xarakt2."',
    `love_sociable` = '".$sociable."',
    `love_brak` = '".$brak."',
    `love_obrazov` = '".$obrazov."',
    `love_material` = '".$material."',
    `love_xarakter` = '".$xarakter."',
    `love_kurenie` = '".$kurenie."',
    `love_alco` = '".$alco."',
    `love_komplekc` = '".$komplekc."',
    `love_rost` = '".$rost."',
    `love_ves` = '".$ves."',
    `love_cel` = '".$cel."'
     WHERE `id` = '".$id_session."' 
     ");
     echo 'Анкета успешно сохранена.';
}  

echo div;
break;

case 'hobby':
echo head . "<b>Интересы:</b>" . div . katalog;
//echo link2;
if ( !empty ($_GET['act']) ) {
if ( empty ($_POST['submit']) ) {
    
echo '<form action="index.php?mod=hobby&act=edit" method="post" name="form">';
echo ' Чем я занимаюсь:<br/><textarea id="tarea" name="deyat" cols="30" rows="5" style="width: 99%;">'.$deyat_session.'</textarea><br/>';
echo ' Что мне интересно?:<br/><textarea id="tarea" name="interes" cols="30" rows="5" style="width: 99%;">'.$interes_session.'</textarea><br/>';
echo ' Любимая музыка:<br/><textarea id="tarea" name="music" cols="30" rows="5" style="width: 99%;">'.$music_session.'</textarea><br/>';
echo ' Любимые фильмы:<br/><textarea id="tarea" name="video" cols="30" rows="5" style="width: 99%;">'.$video_session.'</textarea><br/>';
echo ' Любимые игры:<br/><textarea id="tarea" name="games" cols="30" rows="5" style="width: 99%;">'.$games_session.'</textarea><br/>';
echo ' Любимые цитаты:<br/><textarea id="tarea" name="cit" cols="30" rows="5" style="width: 99%;">'.$cit_session.'</textarea><br/>';
echo ' Обо мне:<br/><textarea id="tarea" name="info2" cols="30" rows="5" style="width: 99%;">'.$info2_session.'</textarea><br/>';
echo '<input name="submit" type="submit" class="button" value="Сохранить" /></form>';
} else {
    $deyat = html ($_POST['deyat']);
    $interes = html ($_POST['interes']);
    $music = html ($_POST['music']);
    $video = html ($_POST['video']);
    $games = html ($_POST['games']);
    $cit = html ($_POST['cit']);
    $info2 = html ($_POST['info2']);
    
    $result = mysql_query("UPDATE `profile` SET 
    
    `deyat` = '".$deyat."',
    `interes` = '".$interes."',
    `music` = '".$music."',
    `video` = '".$video."',
    `cit` = '".$cit."',
    `games` = '".$games."',
    `info2` = '".$info2."'
    WHERE `id` = '".$id_session."'
     ");
     
     if ( $result != NULL )
     header('Location: index.php?mod=hobby');
     else
     echo 'Возникла ошибка';
     
}

} else {
    echo '<img src="../style/vesna/2.png" alt="" /> <b><a href="index.php?mod=hobby&act=edit">Редактировать</a></b><br/ ><br/ >';
    echo '<img src="../style/vesna/2.png" alt="" /> <b>Деятельность:</b> '.$deyat_session.'<br/ >';
    echo '<img src="../style/vesna/2.png" alt="" /> <b>Интересы:</b> '.$interes_session.'<br/ >';
    echo '<img src="../style/vesna/2.png" alt="" /> <b>Любимая музыка:</b> '.$music_session.'<br/ >';
    echo '<img src="../style/vesna/2.png" alt="" /> <b>Любимые фильмы:</b> '.$video_session.'<br/ >';
    echo '<img src="../style/vesna/2.png" alt="" /> <b>Любимые игры:</b> '.$games_session.'<br/ >';
    echo '<img src="../style/vesna/2.png" alt="" /> <b>Любимые цитаты:</b> '.$cit_session.'<br/ >';
    echo '<img src="../style/vesna/2.png" alt="" /> <b>О себе:</b> '.$info2_session.'<br/ >';
}
echo div;
break;


case 'live':
echo head . "<b>Личная жизнь</b>" . div;
echo katalog . 'Ваше СП: '.sp($user['sp'],$user['sp_s']).'' . div;

echo link2;
echo '<b>Семейное положение:</b><br/>';
if ( empty ($_POST['submit']) ) {
echo '<form action="index.php?mod=live" method="post" name="form">';
if ( $sex_session == 0 ) {
echo '<select name="sp">
<option value="'.$love['sp'].'">Не изменять</option>
<option value="0">Не указано</option>
<option value="1">Не замужем</option>
<option value="2">Замужем</option>
<option value="3">В активном поиске</option>
<option value="4">Все сложно</option>
<option value="5">Бегаю</option>
<option value="6">Встречаюсь</option>
</select><br/>
';
} else {
echo '<select name="sp">
<option value="'.$love['sp'].'">Не изменять</option>
<option value="0">Не указано</option>
<option value="7">Не женат</option>
<option value="8">Женат</option>
<option value="9">В активном поиске</option>
<option value="10">Все сложно</option>
<option value="11">Бегаю</option>
<option value="12">Встречаюсь</option>
</select><br/>
';  
}
echo '<br/ >Семейное положение с: (ID)<br/ >';
echo '<input name="sps" type="text" maxlength="15"  value="'.$user['sp_s'].'"/><br/ >'; 
 



echo '<input name="submit" type="submit" class="button" value="Сохранить" /></form>';

} else {
    $sp = num ($_POST['sp']);
    $sps = num ($_POST['sps']);
    
    if (!empty($sps)) {
    $us = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '".$sps."'"));
    
    if ( empty ($us['id']) ) $err = 'Данный пользователь не найден в базе данных';
    if ( $us['sex'] == $sex_session ) $err = 'Вы можете ставить семейное положение только с противоложным полом';
    }
    
    if ( $err ) echo 'Ошибка: '.$err.' <br/ >';
    else
    $result = mysql_query("UPDATE `profile` SET `sp` = '".$sp."', `sp_s` = '".$us['id']."' WHERE `id` = '".$id_session."'");
            if ( $result != NULL )
            echo 'Сохранено';
            else
            echo 'Возникла ошибка';
}
break;



}

navig();
foot();

?>
       